# Uses of Interface
org.w3c.dom.Document

Packages that use Document
Package
Description
javax.imageio.metadata
A package of the Java Image I/O API dealing with reading and writing metadata.
javax.xml.parsers
Provides the classes for processing XML documents with a SAX (Simple API for XML) parser or a DOM (Document Object Model) Document builder.
org.w3c.dom
Provides the interfaces for the Document Object Model (DOM).
org.w3c.dom.html
Provides interfaces for DOM Level 2 HTML Specification.
org.w3c.dom.ls
Provides interfaces for DOM Level 3 Load and Save.

## Uses of Document in javax.imageio.metadata

Methods in javax.imageio.metadata that return Document
Modifier and Type
Method
Description
`Document`
IIOMetadataNode.`getOwnerDocument()`
Returns `null`, since `IIOMetadataNode`s do not belong to any `Document`.

## Uses of Document in javax.xml.parsers

Methods in javax.xml.parsers that return Document
Modifier and Type
Method
Description
`abstract Document`
DocumentBuilder.`newDocument()`
Obtain a new instance of a DOM `Document` object to build a DOM tree with.
`Document`
DocumentBuilder.`parse​(File f)`
Parse the content of the given file as an XML document and return a new DOM `Document` object.
`Document`
DocumentBuilder.`parse​(InputStream is)`
Parse the content of the given `InputStream` as an XML document and return a new DOM `Document` object.
`Document`
DocumentBuilder.`parse​(InputStream is, String systemId)`
Parse the content of the given `InputStream` as an XML document and return a new DOM `Document` object.
`Document`
DocumentBuilder.`parse​(String uri)`
Parse the content of the given URI as an XML document and return a new DOM `Document` object.
`abstract Document`
DocumentBuilder.`parse​(InputSource is)`
Parse the content of the given input source as an XML document and return a new DOM `Document` object.

## Uses of Document in org.w3c.dom

Methods in org.w3c.dom that return Document
Modifier and Type
Method
Description
`Document`
DOMImplementation.`createDocument​(String namespaceURI, String qualifiedName, DocumentType doctype)`
Creates a DOM Document object of the specified type with its document element.
`Document`
Node.`getOwnerDocument()`
The `Document` object associated with this node.

## Uses of Document in org.w3c.dom.html

Subinterfaces of Document in org.w3c.dom.html
Modifier and Type
Interface
Description
`interface`
`HTMLDocument`
An `HTMLDocument` is the root of the HTML hierarchy and holds the entire content.
Methods in org.w3c.dom.html that return Document
Modifier and Type
Method
Description
`Document`
HTMLFrameElement.`getContentDocument()`
The document this frame contains, if there is any and it is available, or `null` otherwise.
`Document`
HTMLIFrameElement.`getContentDocument()`
The document this frame contains, if there is any and it is available, or `null` otherwise.
`Document`
HTMLObjectElement.`getContentDocument()`
The document this object contains, if there is any and it is available, or `null` otherwise.

## Uses of Document in org.w3c.dom.ls

Methods in org.w3c.dom.ls that return Document
Modifier and Type
Method
Description
`Document`
LSLoadEvent.`getNewDocument()`
The document that finished loading.
`Document`
LSParser.`parse​(LSInput input)`
Parse an XML document from a resource identified by a `LSInput`.
`Document`
LSParser.`parseURI​(String uri)`
Parse an XML document from a location identified by a URI reference [IETF RFC 2396].